<template>
  <div>
    <div class="field">
      <label for="password">Password:</label>
      <input v-model="password" class="textarea" type="password" required />
    </div>
    <div v-if="msg.password" class="error">
      <strong>{{ msg.password }}</strong>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      msg: [],
    }
  },
  computed: {
    password: {
      get() {
        return this.$store.state.password
      },
      set(value) {
        this.validatePassword(value)
        this.$store.commit('updatePassword', value)
      },
    },
  },
  methods: {
    validatePassword(val) {
      if (val.length >= 8 && val.length <= 32) {
        this.msg.password = ''
      } else {
        this.msg.password = 'Senha inválida'
      }
    },
  },
}
</script>

<style>
.field {
  height: 60px;
  display: flex;
  justify-content: space-between;
}

.textarea {
  border: 1px solid black;
  height: 25px;
  width: 70%;
}

.error {
  width: 250px;
}
</style>
